summaryrefslogtreecommitdiffstats
path: root/.bin/x11-config
diff options
context:
space:
mode:
Diffstat (limited to '.bin/x11-config')
-rwxr-xr-x.bin/x11-config39
1 files changed, 39 insertions, 0 deletions
diff --git a/.bin/x11-config b/.bin/x11-config
new file mode 100755
index 0000000..5230c13
--- /dev/null
+++ b/.bin/x11-config
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+set -xe
+
+wallpaper_file="${HOME}/.local/share/dot/wallpaper"
+synclient_options="TapButton1=1 \
+ TapButton2=3 \
+ TapButton3=2 \
+ PalmDetect=1 \
+ TouchpadOff=0"
+
+# synaptic
+if command -v syndaemon; then
+ pkill syndaemon && syndaemon -RKd -i 0.2
+ synclient ${synclient_options}
+fi
+
+# keyboard
+xset r rate 250 75
+setxkbmap -option compose:ralt
+
+# screen saving
+xset s off
+xset s noblank
+xset -dpms
+
+if [ $(uname -s) = "OpenBSD" ]; then
+ xinput set-prop "/dev/wsmouse" "WS Pointer Wheel Emulation" 1
+ xinput set-prop "/dev/wsmouse" "WS Pointer Wheel Emulation Button" 2
+ xinput set-prop "/dev/wsmouse" "WS Pointer Wheel Emulation Axes" 6 7 4 5
+fi
+
+# background
+xsetroot -mod 2 2 -fg white -bg black
+xsetroot -grey
+
+if [ -f "${wallpaper_file}" ]; then
+ feh --bg-scale "${wallpaper_file}"
+fi
remember that computers suck.